#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int broj_vaga = 0, broj_pitanja = 0;
    cin >> broj_vaga >> broj_pitanja;
    int vaga_min[broj_vaga];
    int vaga_max[broj_vaga];
    int pitanje_left[broj_pitanja];
    int pitanje_right[broj_pitanja];
    int pitanje_tezina[broj_pitanja];
    
    int ivaga = 0;
    while(ivaga < broj_vaga){
        cin >> vaga_min[ivaga] >> vaga_max[ivaga];
        ivaga++;
    }
    
    int ipitanja = 0;
    while(ipitanja < broj_pitanja){
        cin >> pitanje_left[ipitanja] >> pitanje_right[ipitanja] >> pitanje_tezina[ipitanja];
        ipitanja++;
    }
    
    ipitanja = 0;
    while(ipitanja < broj_pitanja){
        int ivaga = 0;
        int broj_vaga = 0;
        ivaga = pitanje_left[ipitanja]-1; 
        while(ivaga < pitanje_right[ipitanja]){
            if(pitanje_tezina[ipitanja] >= vaga_min[ivaga] && pitanje_tezina[ipitanja] <= vaga_max[ivaga]){
                broj_vaga++;
            }
            ivaga++;
        }
        cout << broj_vaga << endl;
        
        ipitanja++;
    }
    
    
    

    return 0;
}